My Project: dgMeshEffect::dgMeshBVH::dgFitnessList Class Reference

My Project

Public Member Functions | List of all members
dgMeshEffect::dgMeshBVH::dgFitnessList Class Reference

`#include <dgMeshEffect.h>`

Inheritance diagram for dgMeshEffect::dgMeshBVH::dgFitnessList:

## Public Member Functions

| dgFitnessList (dgMemoryAllocator *const allocator)
dgFloat64 | TotalCost () const
Public Member Functions inherited from dgTree< dgMeshBVHNode *, dgMeshBVHNode *>
| dgTree (dgMemoryAllocator *const allocator)
virtual | ~dgTree ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgTreeNode * | GetRoot () const
dgTreeNode * | Minimum () const
dgTreeNode * | Maximum () const
dgTreeNode * | Find (dgMeshBVHNode * key) const
dgTreeNode * | FindGreater (dgMeshBVHNode * key) const
dgTreeNode * | FindGreaterEqual (dgMeshBVHNode * key) const
dgTreeNode * | FindLessEqual (dgMeshBVHNode * key) const
dgTreeNode * | GetNodeFromInfo (dgMeshBVHNode * &info) const
dgTreeNode * | Insert (const dgMeshBVHNode * &element, dgMeshBVHNode * key, bool &elementWasInTree)
dgTreeNode * | Insert (const dgMeshBVHNode * &element, dgMeshBVHNode * key)
dgTreeNode * | Insert (dgTreeNode *const node, dgMeshBVHNode * key)
dgTreeNode * | Replace (dgMeshBVHNode * &element, dgMeshBVHNode * key)
dgTreeNode * | ReplaceKey (dgMeshBVHNode * oldKey, dgMeshBVHNode * newKey)
dgTreeNode * | ReplaceKey (dgTreeNode *const node, dgMeshBVHNode * key)
void | Remove (dgMeshBVHNode * key)
void | Remove (dgTreeNode *const node)
void | RemoveAll ()
void | Unlink (dgTreeNode *const node)
void | SwapInfo (dgTree &tree)
bool | SanityCheck () const

## Constructor & Destructor Documentation

## § dgFitnessList()

dgMeshEffect::dgMeshBVH::dgFitnessList::dgFitnessList | ( | dgMemoryAllocator *const | allocator | ) |

## Member Function Documentation

## § TotalCost()

dgFloat64 dgMeshEffect::dgMeshBVH::dgFitnessList::TotalCost | ( |  | ) | const

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect.h
- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect1.cpp